<div id="content" *ngIf="user">
    <div class="row">

        <div class="head">
            <h2> {{ user.username}} </h2>
        </div>
        <app-user-info-unchangable *ngIf="user._id !== currentUserId" [user]="user"></app-user-info-unchangable>
        <app-user-info-change *ngIf="user._id === currentUserId" [user]="user"></app-user-info-change>
    </div>
    <br>
    <br>
    <div *ngIf="!isLoading" class="buttons " style="text-align: right;">
        <button class="btn btn-dark " [routerLink]="[ 'shelves'] ">Shelves</button>
        <button class="btn btn-dark " [routerLink]="['favouriteGenres']">Favourite Genres</button>
        <button class="btn btn-dark " [routerLink]="[ 'recommendedBooks'] ">Recommended Books</button>

    </div>
    <div>
        <hr>
        <router-outlet></router-outlet>
    </div>
</div>
